diff --git a/src/pl/plperl/plperl.c b/src/pl/plperl/plperl.c
index 2f7a12f..62cf116 100644
--- a/src/pl/plperl/plperl.c
+++ b/src/pl/plperl/plperl.c
@@ -881,6 +881,17 @@ pp_require_safe(pTHX)
 	if (svp && *svp != &PL_sv_undef)
 		RETPUSHYES;
 
+	/*
+	 * whitelist utf8.pm, perl 5.18 and maybe others needs to try and load this
+	 * probably for unicode/unicore stuff
+	 */
+	if (strncmp("utf8.pm", name, len) == 0) {
+		PUSHMARK(SP);
+		PUSHs(sv);
+		PUTBACK;
+		return pp_require_orig(aTHX);
+	}
+
 	DIE(aTHX_ "Unable to load %s into plperl", name);
 
 	/*
